Subject: bug#33109: Expose hidden "Save for Future Sessions" Customizations button

From: 積丹尼 Dan Jacobson <[email-masked]>
Date: Thu, 25 Oct 2018 06:53:06 +0800

>>>>> "EZ" == Eli Zaretskii <[email-masked]> writes:
>> From: 積丹尼 Dan Jacobson <[email-masked]>
>> Cc: [email-masked]
>> Date: Sun, 21 Oct 2018 10:44:53 +0800
>> 
>> >>>>> "EZ" == Eli Zaretskii <[email-masked]> writes:
EZ> In what version of Emacs is that, and where do you see "Apply and
EZ> Save"?  I only see "Apply".
>> 
>> Don't start emacs with -Q !

EZ> OK, but then "Apply and Save" does save the customizations in a
EZ> file--in my init file.  It even says so in the echo area.  So I think
EZ> I'm going to say that I cannot reproduce your problem, neither in
EZ> Emacs 25.2 nor in Emacs 26.1.

It saves them to your .emacs ? Maybe it didn't detect you had a
.emacs-custom.el . Anyway, then why is the difference between the
"Apply and Save" and "Save for Future Sessions" button? OK I suppose the
latter would just save and not apply.

(However I have not looked at the code.)